aboutsummaryrefslogtreecommitdiff
path: root/net-mgmt/cricket/files/pkg-install.in
diff options
context:
space:
mode:
Diffstat (limited to 'net-mgmt/cricket/files/pkg-install.in')
-rw-r--r--net-mgmt/cricket/files/pkg-install.in41
1 files changed, 41 insertions, 0 deletions
diff --git a/net-mgmt/cricket/files/pkg-install.in b/net-mgmt/cricket/files/pkg-install.in
new file mode 100644
index 000000000000..871a2dbc437a
--- /dev/null
+++ b/net-mgmt/cricket/files/pkg-install.in
@@ -0,0 +1,41 @@
+#!/bin/sh
+# $FreeBSD: /tmp/pcvs/ports/net-mgmt/cricket/files/Attic/pkg-install.in,v 1.1 2005-08-29 15:10:43 vs Exp $
+#
+
+GROUP=%%GROUP%%
+USER=%%USER%%
+UID=%%UID%%
+GID=%%GID%%
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+if /usr/sbin/pw groupshow "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+else
+ if /usr/sbin/pw groupadd ${GROUP} -g ${GID}
+ then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ echo "Please create it, and try again."
+ exit 1
+ fi
+fi
+
+if /usr/sbin/pw user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+else
+ if /usr/sbin/pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -d /usr/local/www -s /bin/sh -c "WWW Administrator"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ echo "Please create it, and try again."
+ exit 1
+ fi
+fi
+
+exit 0